Inspectopedia Help

Deprecated in Puppet 4

Reports the use of the syntax deprecated since Puppet 4, such as:

  • The class name for classes

  • Uppercase variable names

  • Qualified variables with underscores

Note that these constructions work properly in Puppet 3.x and earlier.

Inspection Details

By default bundled with:

PyCharm 2024.1,

Can be installed with plugin:

Puppet, 241.SNAPSHOT

Last modified: 29 April 2024